SplitStrategy.cpp File Reference
`#include "stdinc.h"`
`#include "SplitStrategy.h"`
`#include "Slice.h"`
`#include "Term.h"`
`#include "Ideal.h"`
`#include "NameFactory.h"`
`#include "TermGrader.h"`
`#include "error.h"`
`#include "display.h"`

Go to the source code of this file.

## Classes

class | SplitStrategyCommon
| This common base class provides code that is useful for writing pivot split strategies. More...
class | LabelSplit
class | MaxLabelSplit
class | VarLabelSplit
class | MinLabelSplit
class | PivotSplit
class | MinimumSplit
class | MedianSplit
class | MaximumSplit
class | IndependencePivotSplit
class | GcdSplit
class | MinGenSplit
class | DegreeSplit
class | DeprecatedFrobeniusSplit
| This class is deprecated and is only here to create the alias "frob" for the degree split. More...